Mailrelay API Reference

Add a new sender

POST https://{account}/api/v1/senders

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Add a new sender

Parameters

NameTypeRequiredDescription
name string Yes Name
from_name string No From name
email string Yes Email

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
from_name string From name
email string Email
default boolean Default
confirmed boolean Confirmed
created_at string Created at
updated_at string Updated at